Bug 1462739 - /foreman_tasks/dynflow/vendor/google-code-prettify/run_prettify.js points to google [NEEDINFO]
/foreman_tasks/dynflow/vendor/google-code-prettify/run_prettify.js points to ...
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
6.2.9
Unspecified Linux
unspecified Severity low (vote)
: GA
: --
Assigned To: Ivan Necas
Ales Dujicek
: PrioBumpPM, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 08:43 EDT by Martijn ten Heuvel
Modified: 2017-12-07 04:53 EST (History)
9 users (show)

See Also:
Fixed In Version: dynflow-0.8.28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
inecas: needinfo? (dcaplan)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20644 None None None 2017-08-18 09:26 EDT

  None (edit)
Description Martijn ten Heuvel 2017-06-19 08:43:16 EDT
Description of problem:
When loading the dynflow console, it reaches out to google's prettify pages and downloads some javascripts. 

Version-Release number of selected component (if applicable):
6.2.9

How reproducible:
Check code in js in summary.

Actual results:


Expected results:
I would not expect this product to rely on the internet being available to clients. The exact javascript might not need it, but it comes out as a oneliner.

Additional info:
Comment 3 Ivan Necas 2017-08-18 09:26:17 EDT
Created redmine issue http://projects.theforeman.org/issues/20644 from this bug
Comment 4 pm-sat@redhat.com 2017-08-22 08:08:07 EDT
Upstream bug assigned to inecas@redhat.com
Comment 5 pm-sat@redhat.com 2017-08-22 08:08:10 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20644 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.